Skip to main content
GET
/
agents
/
{agentId}
/
state
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const agentState = await client.agents.state.retrieve('x');

console.log(agentState.id);
{
  "data": {
    "id": "<string>",
    "createdAt": "<string>",
    "agentId": "<string>",
    "inboxId": "<string>",
    "threadId": "<string>",
    "state": {},
    "summary": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

agentId
string
required

The external agent identifier.

Minimum string length: 1

Query Parameters

inboxId
string

Scope state to a specific inbox.

threadId
string

Scope state to a specific thread.

Response

Successful response.

data
object
required